Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

1.94.3 #10

Open
wants to merge 15 commits into
base: master
Choose a base branch
from
Open
Show file tree
Hide file tree
Changes from all commits
Commits
File filter

Filter by extension

Filter by extension


Conversations
Failed to load comments.
Loading
Jump to
Jump to file
Failed to load files.
Loading
Diff view
Diff view
27 changes: 24 additions & 3 deletions .github/workflows/stable-linux.yml
Original file line number Diff line number Diff line change
Expand Up @@ -48,9 +48,12 @@ jobs:
with:
ref: ${{ env.GITHUB_BRANCH }}

- name: Clone VSCode repo
- name: Switch to relevant branch
env:
PULL_REQUEST_ID: ${{ github.event.inputs.checkout_pr }}
run: ./get_pr.sh

- name: Clone VSCode repo
run: ./get_repo.sh

- name: Check PR or cron
Expand Down Expand Up @@ -83,6 +86,11 @@ jobs:
ref: ${{ env.GITHUB_BRANCH }}
if: env.SHOULD_BUILD == 'yes'

- name: Switch to relevant branch
env:
PULL_REQUEST_ID: ${{ github.event.inputs.checkout_pr }}
run: ./get_pr.sh

- name: Setup Node.js environment
uses: actions/setup-node@v4
with:
Expand All @@ -104,8 +112,6 @@ jobs:
if: env.SHOULD_BUILD == 'yes'

- name: Clone VSCode repo
env:
PULL_REQUEST_ID: ${{ github.event.inputs.checkout_pr }}
run: ./get_repo.sh
if: env.SHOULD_BUILD == 'yes'

Expand Down Expand Up @@ -175,6 +181,11 @@ jobs:
ref: ${{ env.GITHUB_BRANCH }}
if: env.SHOULD_BUILD == 'yes'

- name: Switch to relevant branch
env:
PULL_REQUEST_ID: ${{ github.event.inputs.checkout_pr }}
run: ./get_pr.sh

- name: Install GH
run: ./install_gh.sh
if: env.SHOULD_BUILD == 'yes' && env.SHOULD_DEPLOY == 'yes'
Expand Down Expand Up @@ -268,6 +279,11 @@ jobs:
with:
ref: ${{ env.GITHUB_BRANCH }}

- name: Switch to relevant branch
env:
PULL_REQUEST_ID: ${{ github.event.inputs.checkout_pr }}
run: ./get_pr.sh

- name: Setup Node.js environment
uses: actions/setup-node@v4
with:
Expand Down Expand Up @@ -348,6 +364,11 @@ jobs:
with:
ref: ${{ env.GITHUB_BRANCH }}

- name: Switch to relevant branch
env:
PULL_REQUEST_ID: ${{ github.event.inputs.checkout_pr }}
run: ./get_pr.sh

- name: Install GH
run: ./install_gh.sh
if: env.SHOULD_DEPLOY == 'yes'
Expand Down
9 changes: 7 additions & 2 deletions .github/workflows/stable-macos.yml
Original file line number Diff line number Diff line change
Expand Up @@ -46,6 +46,13 @@ jobs:

steps:
- uses: actions/checkout@v4
with:
ref: ${{ env.GITHUB_BRANCH }}

- name: Switch to relevant branch
env:
PULL_REQUEST_ID: ${{ github.event.inputs.checkout_pr }}
run: . get_pr.sh

- name: Setup Node.js environment
uses: actions/setup-node@v4
Expand All @@ -59,8 +66,6 @@ jobs:
if: env.VSCODE_ARCH == 'x64'

- name: Clone VSCode repo
env:
PULL_REQUEST_ID: ${{ github.event.inputs.checkout_pr }}
run: . get_repo.sh

- name: Check PR or cron
Expand Down
10 changes: 7 additions & 3 deletions .github/workflows/stable-windows.yml
Original file line number Diff line number Diff line change
Expand Up @@ -52,6 +52,13 @@ jobs:

steps:
- uses: actions/checkout@v4
with:
ref: ${{ env.GITHUB_BRANCH }}

- name: Switch to relevant branch
env:
PULL_REQUEST_ID: ${{ github.event.inputs.checkout_pr }}
run: ./get_pr.sh

- name: Setup Node.js environment
uses: actions/setup-node@v4
Expand All @@ -67,8 +74,6 @@ jobs:
python-version: '3.11'

- name: Clone VSCode repo
env:
PULL_REQUEST_ID: ${{ github.event.inputs.checkout_pr }}
run: ./get_repo.sh

- name: Check PR or cron
Expand All @@ -85,7 +90,6 @@ jobs:
- name: Build
env:
GITHUB_TOKEN: ${{ secrets.GITHUB_TOKEN }}
GITHUB_USERNAME: ${{ github.repository_owner }}
npm_config_arch: ${{ matrix.vscode_arch }}
npm_config_target_arch: ${{ matrix.vscode_arch }}
run: ./build.sh
Expand Down
19 changes: 17 additions & 2 deletions .gitignore
Original file line number Diff line number Diff line change
@@ -1,3 +1,18 @@
vscode*
VS*/*
VSCode*
Codex*
.DS_Store
**/*/.DS_Store
vscode/
*.env
assets/
build/linux/appimage/out
build/linux/appimage/pkg2appimage.AppDir
build/linux/appimage/pkg2appimage-*.AppImage
build/linux/appimage/pkg2appimage.AppImage
build/linux/appimage/squashfs-root
build/linux/appimage/Codex
build/windows/msi/releasedir
build/windows/msi/Files*.wxs
build/windows/msi/Files*.wixobj
stores/snapcraft/insider/*.snap
stores/snapcraft/stable/*.snap
2 changes: 1 addition & 1 deletion LICENSE
Original file line number Diff line number Diff line change
Expand Up @@ -21,4 +21,4 @@ FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
SOFTWARE.
2 changes: 1 addition & 1 deletion build/build_docker.sh
Original file line number Diff line number Diff line change
Expand Up @@ -20,7 +20,7 @@ while getopts ":ilp" opt; do
export VSCODE_LATEST="yes"
;;
p)
export SKIP_ASSETS="no"
export SKIP_ASSETS="no"
;;
*)
;;
Expand Down
3 changes: 2 additions & 1 deletion check_tags.sh
Original file line number Diff line number Diff line change
Expand Up @@ -253,6 +253,7 @@ elif [[ "${ASSETS}" != "null" ]]; then
elif [[ "${OS_NAME}" == "linux" ]]; then

if [[ "${CHECK_ONLY_REH}" == "yes" ]]; then

if [[ -z $( contains "${APP_NAME_LC}-reh-linux-${VSCODE_ARCH}-${RELEASE_VERSION}.tar.gz" ) ]]; then
echo "Building on Linux ${VSCODE_ARCH} because we have no REH archive"
export SHOULD_BUILD="yes"
Expand Down Expand Up @@ -536,7 +537,7 @@ else
SHOULD_BUILD_DEB="no"
SHOULD_BUILD_RPM="no"
fi
if [[ "${VSCODE_ARCH}" != "x64" ]]; then
if [[ "${VSCODE_ARCH}" != "x64" || "${DISABLE_APPIMAGE}" == "yes" ]]; then
export SHOULD_BUILD_APPIMAGE="no"
fi
elif [[ "${OS_NAME}" == "windows" ]]; then
Expand Down
1 change: 1 addition & 0 deletions docs/extensions-compatibility.md
Original file line number Diff line number Diff line change
Expand Up @@ -26,3 +26,4 @@ The following extensions are functional replacements for incompatible extensions

- [Open Remote - SSH](https://open-vsx.org/extension/jeanp413/open-remote-ssh)
- [Open Remote - WSL](https://open-vsx.org/extension/jeanp413/open-remote-wsl)
- [BasedPyright](https://open-vsx.org/extension/detachhead/basedpyright) (open-source alternative to Pylance)
2 changes: 1 addition & 1 deletion docs/howto-build.md
Original file line number Diff line number Diff line change
Expand Up @@ -14,7 +14,7 @@

## <a id="dependencies"></a>Dependencies

- node 18.15
- node 20.14
- yarn
- jq
- git
Expand Down
8 changes: 8 additions & 0 deletions electron.riscv64.sh
Original file line number Diff line number Diff line change
@@ -0,0 +1,8 @@
#!/usr/bin/env bash

set -ex

export ELECTRON_VERSION="30.5.1"
export VSCODE_ELECTRON_TAG="v${ELECTRON_VERSION}.riscv1"

echo "dfae1ccddec728faa7e5dcc92fb38ee7c40251e7f7638817da1c2a94dd37b5c2 *electron-v${ELECTRON_VERSION}-linux-riscv64.zip" >> build/checksums/electron.txt
19 changes: 19 additions & 0 deletions get_pr.sh
Original file line number Diff line number Diff line change
@@ -0,0 +1,19 @@
#!/usr/bin/env bash

set -e

# git workaround
if [[ "${CI_BUILD}" != "no" ]]; then
git config --global --add safe.directory "/__w/$( echo "${GITHUB_REPOSITORY}" | awk '{print tolower($0)}' )"
fi

if [[ -n "${PULL_REQUEST_ID}" ]]; then
BRANCH_NAME=$( git rev-parse --abbrev-ref HEAD )

git config --global user.email "$( echo "${GITHUB_USERNAME}" | awk '{print tolower($0)}' )[email protected]"
git config --global user.name "${GITHUB_USERNAME} CI"
git fetch --unshallow
git fetch origin "pull/${PULL_REQUEST_ID}/head"
git checkout FETCH_HEAD
git merge --no-edit "origin/${BRANCH_NAME}"
fi
11 changes: 0 additions & 11 deletions get_repo.sh
Original file line number Diff line number Diff line change
Expand Up @@ -8,17 +8,6 @@ if [[ "${CI_BUILD}" != "no" ]]; then
git config --global --add safe.directory "/__w/$( echo "${GITHUB_REPOSITORY}" | awk '{print tolower($0)}' )"
fi

if [[ -n "${PULL_REQUEST_ID}" ]]; then
BRANCH_NAME=$( git rev-parse --abbrev-ref HEAD )

git config --global user.email "$( echo "${GITHUB_USERNAME}" | awk '{print tolower($0)}' )[email protected]"
git config --global user.name "${GITHUB_USERNAME} CI"
git fetch --unshallow
git fetch origin "pull/${PULL_REQUEST_ID}/head"
git checkout FETCH_HEAD
git merge --no-edit "origin/${BRANCH_NAME}"
fi

if [[ -z "${RELEASE_VERSION}" ]]; then
if [[ "${VSCODE_LATEST}" == "yes" ]] || [[ ! -f "${VSCODE_QUALITY}.json" ]]; then
echo "Retrieve lastest version"
Expand Down
8 changes: 4 additions & 4 deletions icons/build_icons.sh
Original file line number Diff line number Diff line change
Expand Up @@ -77,7 +77,7 @@ build_darwin_types() { # {{{

build_linux_main() { # {{{
if [[ ! -f "${SRC_PREFIX}src/${QUALITY}/resources/linux/code.png" ]]; then
wget "https://raw.githubusercontent.com/VSCodium/icons/main/icons/linux/circle1/${COLOR}/paulo22s.png" -O "${SRC_PREFIX}src/${QUALITY}/resources/linux/code.png"
wget "https://raw.githubusercontent.com/Codex/icons/main/icons/linux/circle1/${COLOR}/paulo22s.png" -O "${SRC_PREFIX}src/${QUALITY}/resources/linux/code.png"
fi

mkdir -p "${SRC_PREFIX}src/${QUALITY}/resources/linux/rpm"
Expand All @@ -96,7 +96,7 @@ build_media() { # {{{

build_windows_main() { # {{{
if [[ ! -f "${SRC_PREFIX}src/${QUALITY}/resources/win32/code.ico" ]]; then
wget "https://raw.githubusercontent.com/VSCodium/icons/main/icons/win32/nobg/${COLOR}/paulo22s.ico" -O "${SRC_PREFIX}src/${QUALITY}/resources/win32/code.ico"
wget "https://raw.githubusercontent.com/Codex/icons/main/icons/win32/nobg/${COLOR}/paulo22s.ico" -O "${SRC_PREFIX}src/${QUALITY}/resources/win32/code.ico"
fi
} # }}}

Expand Down Expand Up @@ -134,11 +134,11 @@ build_windows_types() { # {{{
if [[ "${name}" != 'code' ]] && [[ ! -f "${SRC_PREFIX}src/${QUALITY}/resources/win32/${name}.ico" ]]; then
icotool -x -w 256 "${file}"

composite -geometry +150+185 "code_logo.png" "${name}_1_256x256x32.png" "${name}.png"
composite -geometry +150+185 "code_logo.png" "${name}_9_256x256x32.png" "${name}.png"

convert "${name}.png" -define icon:auto-resize=256,128,96,64,48,32,24,20,16 "${SRC_PREFIX}src/${QUALITY}/resources/win32/${name}.ico"

rm "${name}_1_256x256x32.png" "${name}.png"
rm "${name}_9_256x256x32.png" "${name}.png"
fi
fi
done
Expand Down
6 changes: 3 additions & 3 deletions package_alpine_reh.sh
Original file line number Diff line number Diff line change
Expand Up @@ -32,12 +32,12 @@ if [[ -d "../patches/alpine/reh/" ]]; then
fi

for i in {1..5}; do # try 5 times
yarn --frozen-lockfile --check-files && break
npm ci && break
if [[ $i == 3 ]]; then
echo "Yarn failed too many times" >&2
echo "Npm install failed too many times" >&2
exit 1
fi
echo "Yarn failed $i, trying again..."
echo "Npm install failed $i, trying again..."
done

node build/azure-pipelines/distro/mixin-npm
Expand Down
20 changes: 10 additions & 10 deletions package_linux_bin.sh
Original file line number Diff line number Diff line change
Expand Up @@ -26,16 +26,16 @@ if [[ "${VSCODE_ARCH}" == "riscv64" ]]; then
export VSCODE_ELECTRON_REPO='riscv-forks/electron-riscv-releases'
export ELECTRON_SKIP_BINARY_DOWNLOAD=1
export PLAYWRIGHT_SKIP_BROWSER_DOWNLOAD=1
ELECTRON_VERSION="30.4.0"

source ../electron.riscv64.sh

if [[ "${ELECTRON_VERSION}" != "$(yarn config get target)" ]]; then
# Fail the pipeline if electron target doesn't match what is used.
# Look for releases here if electron version used by vscode changed:
# https://github.com/riscv-forks/electron-riscv-releases/releases
echo "Electron RISC-V binary version doesn't match target electron version!"
exit 1
fi
export VSCODE_ELECTRON_TAG="v${ELECTRON_VERSION}.riscv1"
echo "b391bd6e063c34c31b1048615994fca0a5922d5a6b21d6cee6c4335850791516 *electron-v${ELECTRON_VERSION}-linux-riscv64.zip" >> build/checksums/electron.txt
fi

if [[ -d "../patches/linux/client/" ]]; then
Expand All @@ -51,12 +51,12 @@ if [[ -d "../patches/linux/client/" ]]; then
fi

for i in {1..5}; do # try 5 times
yarn --cwd build --frozen-lockfile --check-files && break
npm ci --prefix build && break
if [[ $i == 3 ]]; then
echo "Yarn failed too many times" >&2
echo "Npm install failed too many times" >&2
exit 1
fi
echo "Yarn failed $i, trying again..."
echo "Npm install failed $i, trying again..."
done

if [[ "${VSCODE_ARCH}" == "ppc64le" ]]; then
Expand All @@ -66,12 +66,12 @@ else
fi

for i in {1..5}; do # try 5 times
yarn --check-files && break
if [ $i -eq 3 ]; then
echo "Yarn failed too many times" >&2
npm ci && break
if [[ $i -eq 3 ]]; then
echo "Npm install failed too many times" >&2
exit 1
fi
echo "Yarn failed $i, trying again..."
echo "Npm install failed $i, trying again..."
done

node build/azure-pipelines/distro/mixin-npm
Expand Down
19 changes: 10 additions & 9 deletions package_linux_reh.sh
Original file line number Diff line number Diff line change
Expand Up @@ -23,7 +23,8 @@ if [[ "${VSCODE_ARCH}" == "ppc64le" ]]; then
GLIBC_VERSION="2.28"
elif [[ "${VSCODE_ARCH}" == "riscv64" ]]; then
# Unofficial RISC-V nodejs builds doesn't provide v16.x
NODE_VERSION="18.18.1"
# Node 18 is buggy so use 20 here for now: https://github.com/BiblioNexus-Foundation/codex/issues/2060
NODE_VERSION="20.16.0"
fi

export VSCODE_PLATFORM='linux'
Expand Down Expand Up @@ -52,7 +53,7 @@ fi

export VSCODE_REMOTE_DEPENDENCIES_CONTAINER_NAME

sed -i "/target/s/\"20.*\"/\"${NODE_VERSION}\"/" remote/.yarnrc
sed -i "/target/s/\"20.*\"/\"${NODE_VERSION}\"/" remote/.npmrc

if [[ "${NODE_VERSION}" != 16* ]]; then
if [[ -f "../patches/linux/reh/node16.patch" ]]; then
Expand All @@ -73,12 +74,12 @@ if [[ -d "../patches/linux/reh/" ]]; then
fi

for i in {1..5}; do # try 5 times
yarn --cwd build --frozen-lockfile --check-files && break
npm ci --prefix build && break
if [[ $i == 3 ]]; then
echo "Yarn failed too many times" >&2
echo "Npm install failed too many times" >&2
exit 1
fi
echo "Yarn failed $i, trying again..."
echo "Npm install failed $i, trying again..."
done

if [[ "${VSCODE_ARCH}" == "ppc64le" ]]; then
Expand All @@ -88,12 +89,12 @@ else
fi

for i in {1..5}; do # try 5 times
yarn --frozen-lockfile --check-files && break
if [ $i -eq 3 ]; then
echo "Yarn failed too many times" >&2
npm ci && break
if [[ $i == 3 ]]; then
echo "Npm install failed too many times" >&2
exit 1
fi
echo "Yarn failed $i, trying again..."
echo "Npm install failed $i, trying again..."
done

node build/azure-pipelines/distro/mixin-npm
Expand Down
Loading
Loading